import Link from "next/link";
import styles from "./Courses.module.css";

const Courses = ({ courses }) => {
  return (
    <div className={styles.container}>
      {courses?.map((e, i) => (
        <div key={i} className={styles["card"]}>
          <h2>{e.title}</h2>
          <small>Level:{e.level}</small>
          <p>{e.description}</p>
          <Link href={e.link} target="_blank" className={styles["btn"]}>
            Go To Course
          </Link>
        </div>
      ))}
    </div>
  );
};

export default Courses;
