import Link from "next/link";
import styles from "./Header.module.css";

const Header = () => {
  return (
    <header className={styles.header}>
      <Link href="/" className={styles.logo}>
        <h1>Traversy Media</h1>
      </Link>
      <div className={styles.links}>
        <ul>
          <li>
            <Link href="/about">About</Link>
          </li>
          <li>
            <Link href="/about/team">Our Team</Link>
          </li>
          <li>
            <Link href="/code/repos">Code</Link>
          </li>
        </ul>
      </div>
    </header>
  );
};

export default Header;
