"use client";
import Courses from "./components/Courses/page";
import { useState, useEffect } from "react";
import Loading from "./loading";
import CourseSearch from "./components/CourseSearch/page";

const Home = () => {
  const [courses, setCourses] = useState([]);
  const [loading, setLoading] = useState(true);
  useEffect(() => {
    const fetchCourses = async () => {
      const response = await fetch("http://localhost:3000/api/courses");
      const data = await response.json();
      setCourses(data);
      setLoading(false);
    };
    fetchCourses();
  }, []);
  if (loading) {
    return <Loading />;
  }
  return (
    <>
      <CourseSearch getCourseResponse={(result) => setCourses(result)} />
      <Courses courses={courses} />
    </>
  );
};

export default Home;
